-module(arity).
-export([high/2,foreach_/2,low/1]).

high([H|T],Hi)->
  Hi = H,
  high(T,Hi);
high([],Hi) -> 
  Hi.

foreach_([H|T],Fun)->
   Fun(H),
   foreach_(T, Fun);
foreach_([],_) -> finished.

low([H,_])->
   H.

